# https://gitlab.com/gitlab-org/configure/examples/gitlab-terraform-aws/-/blob/master/.gitlab-ci.yml

stages:
  - deploy

helm apply:
  stage: deploy
  # https://quay.io/repository/roboll/helmfile?tab=tags&tag=latest
  # image: quay.io/roboll/helmfile:v0.143.0-stable-slim
  image: quay.io/roboll/helmfile:v0.143.0-stable-slim
  script:
    - kubectl --namespace argocd create secret generic gpg-secret --from-file=public.key=${GPG_PUBLIC_KEY} --from-file=private.key=${GPG_PRIVATE_KEY}
